<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Giphy API</title>
</head>
<body>

  <div>
    <h1>GIF Loader</h1>
    <input id="loader" type="text" placeholder="Awesome GIF title ..." />
    <input type="button" id="button" value="Submit!" />
  </div>

  <iframe id="my_gif" style="height: 50%; width: 50%; position: absolute">

  </iframe>

  <script>
    const api_key = "GQn5qs4G8Nwy0jYqmRYxvsj49eAksBf4";
    const search_query = "board";

    function fetchGif(api_key, tag)
    {
      fetch("https://api.giphy.com/v1/gifs/random?api_key=" + api_key + "&tag=" + tag)
      .then(response => {
        return response.json();
      }).then(gif => {
        document.getElementById("my_gif").src = gif.data.embed_url;
        
      })
      .catch(err => {
        console.log(err);
      })
    }

    document.getElementById('button').addEventListener("click", (event) => {
      fetchGif(api_key, document.getElementById('loader').value);


    })

  </script>
  
</body>
</html>